@ECHO OFF
title Vollzaehligkeitspruefung fuer Dateien zum IE 11 Update-Pack mit 64bit (Sept 2014)
REM zuletzt bearbeitet am: 26. Sept 2014
cls
color 1F
rem Fenstergroesse- Breite jetzt auf 110 stellen
rem Fensterzeilen - jetzt auf 80 einstellen
mode con lines=80 cols=110
echo.

echo *****************************************************************************
echo *  Automatische Pruefung der heruntergeladenen Updates zum Updatepack IE 11 *
echo *****************************************************************************
echo.
echo Empfohlener Sicherheitscheck vor Installation aller 16 Dateien!
echo.
echo Um ungewollte Aufruf- Fehler waehrend Installationen zu vermeiden
echo habe ich extra diese Datei erstellt :-)
echo.
echo Sollten einige der hier eingetragenen Dateien eventuell noch fehlen, dann
echo erfolgt ein Eintrag in der Datei "fehlendedateien_ie11.txt" (Root auf Laufwerk C:)
echo.
echo Zum Suchen:
pause
echo ----------------------------------------------
echo Die Such- Operation wurde gestartet, bitte um etwas Geduld...
echo ----------------------------------------------

rem if NOT exist diesedatei.txt echo Nein, die Datei - diesedatei.txt - wurde noch nicht heruntergeladen!

echo ********************************
echo. Suchlauf...
echo ********************************
echo.
echo ----------------------------------------------
echo Pruefe  8x Vorbereitungs- Updates fuer IE 11:
IF NOT EXIST Windows6.1-KB2533623-x64.msu ECHO Datei Windows6.1-KB2533623-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2731771-x64.msu ECHO Datei Windows6.1-KB2731771-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2729094-v2-x64.msu ECHO Datei Windows6.1-KB2729094-v2-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2786081-x64.msu ECHO Datei Windows6.1-KB2786081-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2670838-x64.msu ECHO Datei Windows6.1-KB2670838-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2834140-v2-x64.msu ECHO Datei Windows6.1-KB2834140-v2-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2882822-x64.msu ECHO Datei Windows6.1-KB2882822-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2888049-x64.msu ECHO Datei Windows6.1-KB2888049-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt

echo.
echo ----------------------------------------------
echo Pruefe  1x IE 11:
IF NOT EXIST IE11-Windows6.1-x64-de-de.exe ECHO Datei IE11-Windows6.1-x64-de-de.exe wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
echo.
echo ----------------------------------------------
echo Pruefe  7x Post-Updates fuer den IE 11:
IF NOT EXIST Windows6.1-KB2639308-x64.msu ECHO Datei Windows6.1-KB2639308-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2892074-x64.msu ECHO Datei Windows6.1-KB2892074-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST IE11-Windows6.1-KB2909210-x64.msu ECHO Datei IE11-Windows6.1-KB2909210-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST Windows6.1-KB2900986-x64.msu ECHO Datei Windows6.1-KB2900986-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST IE11-Windows6.1-KB2929437-x64.msu ECHO Datei IE11-Windows6.1-KB2929437-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST IE11-Windows6.1-KB2976627-x64.msu ECHO Datei IE11-Windows6.1-KB2976627-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
IF NOT EXIST IE11-Windows6.1-KB2977629-x64.msu ECHO Datei IE11-Windows6.1-KB2977629-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt

@echo =============================================================================
echo.
echo *******************************
echo Testlauf zur Funktionspruefung:
echo *******************************
echo Suche die Datei: Windows6.1-TestKB123456-x64.msu
IF NOT EXIST Windows6.1-Test_KB123456-x64.msu ECHO Test - Datei Windows6.1-Test_KB123456-x64.msu wurde noch nicht heruntergeladen! >>c:\fehlendedateien_ie11.txt
echo ----------------------------------------------

rem *************************************************************
rem Weitere zum Moeglichkeiten zum Eintragen fuer ein individuell
rem erstelltes Installations- Paket ist ja ohne Probleme moeglich
rem *************************************************************
rem 
rem Weitere zu suchende fehlende Updates (Nach einem Online- Check)
rem Man kann man sich einen neuen Eintrag in der settings.ini des Installers machen
rem danach kann man es sich selbst zum pruefen z.B. hier an dieser Stelle eintragen:
rem echo.
rem IF NOT EXIST Datei.....
rem echo.
echo -------------------------------------------------------------
echo.
echo *************************************************************
echo Alle Suchoperationen wurden durchgefuehrt - Nun wird eine Liste erstellt:
echo *************************************************************
echo Erzeuge eine Liste der evtl. zum Setup fehlenden Dateien...
echo im Ordner c:\fehlendedateien_ie11.txt
echo Zeige bitte die noch fehlenden Datei- Downloads an...
echo. 
echo Zur Info: Falls nur der folgende Eintrag steht: 
echo Test - Datei Windows6.1-TestKB123456-x64.msu wurde noch nicht heruntergeladen!
echo Dann sollten alle anderen benoetigten Dateien vorhanden sein!
echo.
echo ***************************************************************
echo.
echo Der Suchlauf wurde erfolgreich beendet.
echo Die hier ermittelten, eventuell noch fehlenden Updates bitte herunterladen 
echo und im Ordner "data" einfuegen
echo Noch herunterzuladen ist:

TYPE c:\fehlendedateien_ie11.txt | MORE
echo.
echo Vor einem erneutem Suchlauf bitte c:\fehlendedateien_ie11.txt loeschen
echo Sie wird wieder neu erstellt!
echo.
echo ***************************************************************
echo.
echo Zum Beenden....
pause
echo.
exit